### Function

# Babl format_with_space

#### Declaration [src]

    const Babl*
    babl_format_with_space (
      const char* encoding,
      const Babl* space
    )

#### Description [src]

Returns the babl object representing the color format given by `name` such as for example “RGB u8”, “R’G’B’A float”, “Y float” with a specific RGB working space used as the space, the resulting format has -space suffixed to it, unless the space requested is sRGB then the unsuffixed version is used. If a format is passed in as space the space of the format is used.

#### Parameters

`encoding`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`space`

  Type: `Babl`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.